# $Revision: 1.14 $, $Date: 2010/06/15 20:38:30 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	fsp library
Summary(pl.UTF-8):	Biblioteka fsp
Name:		fsplib
Version:	0.11
Release:	1
License:	BSD-like (see COPYING)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/fsp/%{name}-%{version}.tar.gz
# Source0-md5:	f2f4809159d331baada8135d3977563c
Patch0:		%{name}-scons.patch
URL:		http://fsp.sourceforge.net/fsplib.html
BuildRequires:	scons
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is C library which support talking with FSP server using FSP v2
protocol and provides POSIX-like file manipulation interface.

For more information about FSP protocol see
<http://fsp.sourceforge.net/>.

For library and API info see <http://fsp.sourceforge.net/fsplib.html>.

%description -l pl.UTF-8
To jest biblioteka napisana w C, która obsługuje "rozmowę" z serwerem
FSP przy użyciu wersji 2 protokołu i dostarcza interfejsu operacji na
plikach podobnego do POSIX.

Więcej informacji o protokole FSP można znaleźć na
<http://fsp.sourceforge.net/>.

Informacje o bibliotece i API znajdują się na
<http://fsp.sourceforge.net/fsplib.html>.

%package devel
Summary:	Header files for FSP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FSP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for FSP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FSP.

%package static
Summary:	Static FSP library
Summary(pl.UTF-8):	Statyczna biblioteka FSP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FSP library.

%description static -l pl.UTF-8
Statyczna biblioteka FSP.

%prep
%setup -q -c
%patch0 -p1

%build
%scons \
	CCFLAGS="%{rpmcflags}" \
	enable-shared=yes

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

# we know scons is great :/
install libfsplib.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}
ln -sf libfsplib.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}/libfsplib.so.0
ln -sf libfsplib.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}/libfsplib.so
cp -a libfsplib.a $RPM_BUILD_ROOT%{_libdir}
cp -a fsplib.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(755,root,root) %{_libdir}/libfsplib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfsplib.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfsplib.so
%{_includedir}/fsplib.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfsplib.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fsplib.spec,v $
Revision 1.14  2010/06/15 20:38:30  qboosh
- updated to 0.11
- autotools are gone, added scons patch which tries to fix introduced build issues

Revision 1.13  2007/09/05 16:32:02  qboosh
- CVE notes

Revision 1.12  2007/09/05 13:12:49  baggins
- 0.9 [fixes CVE-2007-3961 CVE-2007-3962]

Revision 1.11  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.9  2006/03/25 18:04:15  qboosh
- updated to 0.8 (security fix for off-by-one error [CVE-2006-7221])

Revision 1.8  2006/01/11 19:54:14  witekfl
- updated to 0.7

Revision 1.7  2005/06/17 21:11:54  twittner
- cosmetics

Revision 1.6  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.5  2005/06/14 14:14:56  witekfl
- added bcond without static_libs

Revision 1.4  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.3  2005/03/21 20:39:25  qboosh
- desc cosmetics, ac version

Revision 1.2  2005/03/20 16:56:42  darekr
- BR: lt, ac, am

Revision 1.1  2005/03/20 16:48:30  witekfl
- initial release
